Opened 7 years ago

Closed 7 years ago

#5560 closed defect (fixed)

'obfsproxy --version' is buggy

Reported by: asn Owned by: asn
Priority: Medium Milestone:
Component: Archived/Obfsproxy Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: #5157 Points:
Reviewer: Sponsor:

Description

obfsproxy --version does not work outside of the obfsproxy git repository:

$ ./obfsproxy --version
obfsproxy git

and even inside a git repository, it doesn't report the actual version/release, it just reports the commit hash of HEAD.

Child Tickets

Change History (5)

comment:1 Changed 7 years ago by asn

Status: newneeds_review

Please see bug5560 in https://git.gitorious.org/obfsproxy/obfsproxy.git.
It's now basically a clone of tor.git:config.c:get_version().

Sebastian, can you please test this? It seems to function OK in my tests (I tested it by making a new release archive, rming the micro-revision.i file, building obfsproxy and doing obfsproxy --version. I also tested it by doing obfsproxy --version in the git repository, and in a release archive with a micro-revision.i file.)
Thanks!

comment:2 Changed 7 years ago by Sebastian

Can't find that branch?

comment:3 Changed 7 years ago by Sebastian

Ah, looking through the branches it seems you pushed it to master, not to bug5560.

comment:4 Changed 7 years ago by Sebastian

That looks good to me.

comment:5 Changed 7 years ago by asn

Resolution: fixed
Status: needs_reviewclosed

Merging.
Thanks for the view Sebastian!

Note: See TracTickets for help on using tickets.